Skip to content

Dependency Requirements

zelon88 edited this page Mar 24, 2018 · 41 revisions

Minimum Hardware Requirements

  • Any 32-bit (x86) or 64-bit (x64) PC or RISC with a Debian-Linux based operating system. (multi-core CPU recommended)
  • At least 512mb of RAM. (1gb recommended)
  • At least 512mb of disk space is recommended in the installation directory of HRCloud2 for storage of log, cache, & temp files. (1gb recommended)
  • At least 3gb of disk space is recommended in the CloudLoc directory for storage of user-uploaded data. The more storage space for user-uploaded data; the better. (1tb+ recommended)

Required Packages

The following is a list of the 3rd party projects that are required by HRCloud2.

  1. Ubuntu (Or other Debian-Linux based O/S)

  2. Apache2.4

  3. CuRL

  4. MySQL

  5. PHP7.0

  6. ClamAV

  7. LibreOffice-common

  8. Unoconv - by Dagwieers

  9. pdftotext (part of poppler-utils)

  10. RAR

  11. UNRAR

  12. 7z

  13. ImageMagick

  14. ffmpeg

  15. id3

  16. Tesseract

  17. Python

  18. Meshlab

  19. Dia

  20. HandBrake (and HandBrake-CLI)

  21. Pandoc

  22. NPM

  23. Node.js

  24. Nativefier


Included Packages

The following is a list of the 3rd party projects that were modified to be used internally by HRCloud2. (NOTE: These are included with HRCloud2 and DO NOT need be installed separately.)

  1. WordPress (installed from included package if necessary)

  2. "Display Styled Directory-Contents" by Chris Coyier

  3. Jquery (included)

  4. getid3 (included)

  5. meSpeak (included)

You can’t perform that action at this time.